"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "RustPlayground", {
  enumerable: true,
  get: function () {
    return _Editor.default;
  }
});
exports.RustPlaygroundPlugin = void 0;
var _Editor = _interopRequireDefault(require("./Editor.vue"));
var _config = require("./config");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const components = {
  RustPlayground: _Editor.default
};
const RustPlaygroundPlugin = exports.RustPlaygroundPlugin = {
  install(app, options) {
    if (typeof options !== "undefined" && typeof options === "object") app.provide(_config.InjectPlayKey, options);
    for (const key of Object.keys(components)) app.component(key, components[key]);
  }
};