import RustPlayground from "./Editor.vue";
import { InjectPlayKey } from "./config.mjs";
export {
  RustPlayground
};
const components = {
  RustPlayground
};
export const RustPlaygroundPlugin = {
  install(app, options) {
    if (typeof options !== "undefined" && typeof options === "object")
      app.provide(InjectPlayKey, options);
    for (const key of Object.keys(components))
      app.component(key, components[key]);
  }
};
